Name:           zlog
Version:        1.2.15
Release:        6
Summary:        A reliable pure C logging library

License:        LGPLv2.1
URL:            http://hardysimpson.github.io/zlog/
Source0:        %{name}-%{version}.tar.gz

Patch1000:      0001-Fix-stack-buffer-overflow-at-zlog_conf_build_with_fi.patch
Patch1001:      0002-feature-mkdir-If-the-output-directory-does-not-exist-5c55d7d4.patch
Patch1002:      0001-fix-env-Fix-the-pointer-position-update-error-after--f0d6941b.patch
Patch1003:      1012-feature-environment-Ignore-the-rule-when-the-environ-40ea87cd.patch
Patch1004:      CVE-2024-22857.patch


BuildRequires:  gcc-c++
#Requires:       

%description
zlog is a reliable, high-performance, thread safe, flexible, clear-model, pure C logging library.


%prep
%autosetup -p1


%build
%make_build


%install
rm -rf $RPM_BUILD_ROOT
install -d '%{buildroot}/%{_bindir}'
install -d '%{buildroot}/%{_includedir}'
install -d '%{buildroot}/%{_libdir}'
cp src/zlog-chk-conf '%{buildroot}/%{_bindir}/zlog-chk-conf'
cp src/zlog.h '%{buildroot}/%{_includedir}/zlog.h'
cp src/zlog.h '%{buildroot}/%{_includedir}/zlog.h'
cp src/libzlog.a '%{buildroot}/%{_libdir}/libzlog.a'
cp src/libzlog.so.1.2 '%{buildroot}/%{_libdir}/libzlog.so.1.2'
ln -sf libzlog.so.1.2 '%{buildroot}/%{_libdir}/libzlog.so.1'
ln -sf libzlog.so.1.2 '%{buildroot}/%{_libdir}/libzlog.so'


%files
%{_bindir}/zlog-chk-conf
%{_includedir}/zlog.h
%{_libdir}/libzlog.a
%{_libdir}/libzlog.so.1.2
%{_libdir}/libzlog.so.1
%{_libdir}/libzlog.so


%changelog
* Wed Apr 24 2024 lvfei <lvfei@kylinos.cn> - 1.2.15-6
- Fix CVE-2024-22857.patch

* Mon Sep 26 2022 tangjie02 <tangjie02@kylinsec.com.cn> - 1.2.15-5
- if the output directory does not exist, it will be created automatically.
- fix the pointer position update error after enviroment variable is replaced. 
- ignore the rule when the environment in %E(env) isn't found.

* Mon Apr 25 2022 yefeng <yefeng@kylinos.com.cn> - 1.2.15-4
- fix the CVE-2021-43521

* Wed Dec 15 2021 liqiuyu <liqiuyu@kylinos.cn> - 1.2.15-3
- Remove the release suffix

* Fri Dec 11 2020 tangjie02 <tangjie02@kylinos.com.cn> - 1.2.15-1
- Initial build
